package com.huashe.park.core.service.impl;

import java.util.List;

import com.huashe.park.core.mapper.ProjectCoordinateInfoMapper;
import com.huashe.park.core.service.IProjectCoordinateInfoService;
import com.huashe.park.domain.entity.ProjectCoordinateInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 工程坐标配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-14
 */
@Service
public class ProjectCoordinateInfoServiceImpl implements IProjectCoordinateInfoService {
    @Autowired
    private ProjectCoordinateInfoMapper projectCoordinateInfoMapper;

    /**
     * 查询工程坐标配置
     * 
     * @param id 工程坐标配置主键
     * @return 工程坐标配置
     */
    @Override
    public ProjectCoordinateInfo selectProjectCoordinateInfoById(Long id) {
        return projectCoordinateInfoMapper.selectProjectCoordinateInfoById(id);
    }

    /**
     * 查询工程坐标配置列表
     * 
     * @param projectCoordinateInfo 工程坐标配置
     * @return 工程坐标配置
     */
    @Override
    public List<ProjectCoordinateInfo> selectProjectCoordinateInfoList(ProjectCoordinateInfo projectCoordinateInfo) {
        return projectCoordinateInfoMapper.selectProjectCoordinateInfoList(projectCoordinateInfo);
    }

    /**
     * 新增工程坐标配置
     * 
     * @param projectCoordinateInfo 工程坐标配置
     * @return 结果
     */
    @Override
    public int insertProjectCoordinateInfo(ProjectCoordinateInfo projectCoordinateInfo) {
        return projectCoordinateInfoMapper.insertProjectCoordinateInfo(projectCoordinateInfo);
    }

    /**
     * 修改工程坐标配置
     * 
     * @param projectCoordinateInfo 工程坐标配置
     * @return 结果
     */
    @Override
    public int updateProjectCoordinateInfo(ProjectCoordinateInfo projectCoordinateInfo) {
        return projectCoordinateInfoMapper.updateProjectCoordinateInfo(projectCoordinateInfo);
    }

    /**
     * 批量删除工程坐标配置
     * 
     * @param ids 需要删除的工程坐标配置主键
     * @return 结果
     */
    @Override
    public int deleteProjectCoordinateInfoByIds(Long[] ids) {
        return projectCoordinateInfoMapper.deleteProjectCoordinateInfoByIds(ids);
    }

    /**
     * 删除工程坐标配置信息
     * 
     * @param id 工程坐标配置主键
     * @return 结果
     */
    @Override
    public int deleteProjectCoordinateInfoById(Long id) {
        return projectCoordinateInfoMapper.deleteProjectCoordinateInfoById(id);
    }
}
